<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$sortId = 1;
$toolId = 0;

$settingsArray = array();

$setting = new Setting();
$setting->name = 'showSmsBetreff';
$setting->description = 'Name und Mobilnummer des Hausmeisters anzeigen';
$setting->help = 'Diese Einstellung für das SMS-Formular gilt in den Tools Kursübersicht Dozenten, Kurse Mitarbeiter und Raumbelegung Mitarbeiter. '
               . 'Für das Teilnehmer- bzw. Firmentool gibt es hierzu separate Einstellungen im Terminreiter des jeweiligen Tools';
$setting->toolId = $toolId;
$setting->subGroup = 'Einstellungen für das SMS-Formular:';
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$subGroup = 'Weiterleitung nach Login';

$setting = new Setting();
$setting->name = 'forwardToWillkommenWennAngemeldet';
$setting->description = 'Angemeldete Benutzer vom Login weiterleiten zur Willkommensseite';
$setting->help = 'Wenn ein Benutzer bereits in den KuferTools angemeldet ist, wird er zum einstellten Tool weitergeleitet. '
  . 'Die Einstellung der Willkommensseite ist "Welches Tool soll nach dem Login angezeigt werden"';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'forwardToResponsive';
$setting->description = 'Dozenten nach Login zum Responsive-Stand weiterleiten';
$setting->help = 'Wenn sich ein Dozent in den Nicht-Responsiven KuferTools einloggt (/webtools/index.php) wird dieser auf die responsiven KuferTools weitergeleitet (/kufertools/index.php)';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'forwardHmToResponsive';
$setting->description = 'Hausmeister nach Login zum Responsive-Stand weiterleiten';
$setting->help = 'Wenn sich ein Hausmeister in den Nicht-Responsiven KuferTools einloggt (/webtools/index.php) wird dieser auf die responsiven KuferTools weitergeleitet (/kufertools/index.php)';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'forwardTnToResponsive';
$setting->description = 'Teilnehmer nach Login zum Responsive-Stand weiterleiten';
$setting->help = 'Wenn sich ein Teilnehmer in den Nicht-Responsiven KuferTools einloggt (/webtools/index.php) wird dieser auf die responsiven KuferTools weitergeleitet (/kufertools/index.php)';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'forwardMaToResponsive';
$setting->description = 'Mitarbeiter nach Login zum Responsive-Stand weiterleiten';
$setting->help = 'Wenn sich ein Mitarbeiter in den Nicht-Responsiven KuferTools einloggt (/webtools/index.php) wird dieser auf die responsiven KuferTools weitergeleitet (/kufertools/index.php)';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$subGroup = 'Sonstiges';

$setting = new Setting();
$setting->name = 'mitUnterKursen';
$setting->description = 'Unterkurse bei Kursreihe berücksichtigen';
$setting->subGroup = 'Sonstiges';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kurstageNurVonEingeloggtemDozent';
$setting->description = 'Dozenten dürfen nur ihre eigenen Kurstage sehen';
$setting->help = 'Mit dieser Einstellung werden den Dozenten nur Kurstage '
        . 'angezeigt, die sie selbst halten. Z.B. im Reiter "Termine" der Kursdetails '
        . 'oder bei den Teilnehmerlisten.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'hinterlegungKursorteNurVonEingeloggtemMitarbeiter';
$setting->description = 'Hinterlegung der Kursorte auf zugeordnete Räume des Mitarbeiters einschränken';
$setting->help = '';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'eLearningUrl';
$setting->description = 'URL zum eLearning-Portal (MOODLE)';
$setting->toolId = $toolId;
$setting->subGroup = $subGroup;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
$setting->config->size = 8;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'icsWithoutDescription';
$setting->description = 'Bemerkungen bei Kurstagen werden nicht als Beschreibungstext im ICS-Kalender ausgegeben';
$setting->help = 'Wenn dieser Haken gesetzt wird, enthält die herunterladbare iCalendar-Datei (.ics) nicht die in KuferSQL bei Kurstagen eingegebenen Bemerkungen.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'icsWhichTitle';
$setting->description = 'Titel der ICS-Datei';
$setting->help = 'Es ist möglich, den Titel der herunterladbaren ICS-Dateien zu ändern.'
        . 'Man kann auswählen zwischen dem Programmhefttitel (wenn dieser nicht ausgefüllt ist, wird der Kurstitel verwendet),'
        . ' dem Kurstitel, und dem Kurstitel und dem Programmhefttitel durch Leerzeichen getrennt. ';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array('kurzbez_titel' => 'Programmhefttitel', 'kurzbez' => 'Kurstitel', 'beides' => 'Kurs- und Programmhefttitel');
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'toolNachLogin';
$setting->description = 'Welches Tool soll nach dem Login angezeigt werden';
$setting->help = 'Hier können mehrere Tool-Ids kommasepariert eingetragen werden. Es wird die erste Tool-Id verwendet, auf welche der eingeloggte Benutzer Zugriff hat.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
array_push($settingsArray, $setting);


$setting = new Setting();
$setting->name = 'showUserSettings';
$setting->description = 'Aktiviere benutzerspezifische Einstellungen';
$setting->help = 'Aktiviert im Menü den Punkt "mein Account / Einstellungen".  Es können benutzerspezifische Einstellungen wie z. B. die Kriterien für die Sortierung der Kurse angegeben und gespeichert werden.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'direktMaKuerzel';
$setting->description = 'Bearbeiterkürzel für Änderungen aus den KuferTools';
$setting->help = 'Dieses Kürzel wird bei Schreibvorgängen in die KuferSQL Datenbank gesetzt,
                  wenn der Verursacher des Schreibvorgangs kein eigenes Benutzerkürzel hat -
                  also zum Beispiel beim Stornieren von Anmeldungen durch Teilnehmer.
                  Beachten Sie, dass beim DMZ Betrieb das Kürzel in der Konfiguration von BAS_DMZ gesetzt werden muss.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
$setting->config->size = 2;
$setting->config->maxLength = 2;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kursFilterCheckKnrAb';
$setting->description = 'Nach Kursnummer ab der in KuferSQL festgelegten Stelle suchen';
$setting->help = 'Falls kein Häkchen gesetzt ist, wird in den Feldern
                  Kursnummer von / bis" nach der Kursnummer ab der 1. Stelle gesucht.
                  Die Einstellung für Kursnummer-Stellen finden Sie in KuferSQL unter
                  Einstellungen /Zentrale Einstellungen /
                  Organisation / Darstellung der Variable Kursnummer an Stelle.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'showToolTipOnError';
$setting->description = 'Tooltips nur bei fehlerhaft befüllten Feldern anzeigen';
$setting->help = 'Tooltips werden nur angezeigt, wenn die Formularfelder fehlerhaft befüllt sind.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$connInfo = new \DBConnectionInfo();
if ($connInfo->db_replikat && $connInfo->db_typ == \DBTypeEnum::MYSQLI) {
  $setting = new Setting();
  $setting->name = 'useFeedbackOnlyInReplikatsDb';
  $setting->description = 'Für Feedback die Replikatsdatenbank verwenden';
  $setting->help = 'Wenn dieser Haken gesetzt ist, werden die Feedback-Antworten aus KuferSQL nicht mehr angezeigt bzw. '
    . 'auch nicht die, die per DMZ übertragen worden sind. '
    . 'Es werden nur die Feedback-Antworten angezeigt, die im Web erstellt wurden.<br><br>'
    . 'Feedbackretouren werden nur im Web gespeichert und nicht an KuferSQL zurückübertragen.<br><br>'
    . 'Diese Einstellung ist nützlich, '
    . 'wenn keine schreibende Verbindung zur KuferSQL-Datenbank besteht (per DMZ oder Direktbetrieb).';
  $setting->subGroup = $subGroup;
  $setting->toolId = $toolId;
  $setting->config->loadConfiguration(SC_CHECKBOX);
  array_push($settingsArray, $setting);
}

$setting = new Setting();
$setting->name = 'ferienKalender';
$setting->description = 'Nur Ferien folgender Kalender angezeigen';
$setting->help = 'Es werden nur Ferien und Feiertage von den ausgewählten Kalendern angezeigt. '
    . 'Ist kein Kalender ausgewählt, so werden die Ferien und Feiertage aller Kalender angezeigt.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_MULTISELECT);
$setting->config->separator = ',';

$kalenderAry = \Kufer\Web\Classes\Db\DBWorkKalender::getDefaultInstance()->getAll();
$items = array();
foreach ($kalenderAry as $kalender) {
  $items[$kalender->kal_nr] = \CleanOperations::cleanStringForHtml($kalender->beschreibung);
}
$setting->config->items = $items;
array_push($settingsArray, $setting);

$subGroup = 'Kinder anzeigen';

if (\System::isKuferSql5()) {
  $setting = new Setting();
  $setting->name = 'showKinderInAnwesenheiten5';
  $setting->description = 'Kinder in Anwesenheiten (Anwesenheitstabelle und Online-Klassenbuch) anzeigen';
  $setting->help = 'Mit dieser Einstellung können Kinder-Anmeldungen in der Anwesenheitstabelle und dem '
    . 'Online-Klassebuch angezeit werden';
  $setting->subGroup = $subGroup;
  $setting->toolId = $toolId;
  $setting->config->loadConfiguration(SC_CHECKBOX);
  array_push($settingsArray, $setting);

  $setting = new Setting();
  $setting->name = 'allowKinder5InTeilnehmerReiter';
  $setting->description = 'Zeige Kinder im Reiter Teilnehmer';
  $setting->help = 'Sonst werden nur Kinder bei Kinderkursen angezeigt';
  $setting->subGroup = $subGroup;
  $setting->toolId = $toolId;
  $setting->config->loadConfiguration(SC_CHECKBOX);
  array_push($settingsArray, $setting);
}